Subject: RE: Movement Detection (was Re: [mobile-ip] Connectathon 2003 issues for MIPv6 draft-20)

From: "KASSI-LAHLOU Mohammed FTRD/DMI/CAE" <[email-masked]>
Date: Tue, 18 Mar 2003 10:26:49 +0100

Hi Greg,

By "being sure to have lost the contact with ARc" I mean a "real
movement" to ARn. But if the MN receives successively RAc - RAn - RAc -
RAn... this means that the mobile did not lose the contact with ARc and
thus it is not necessary to change at the only reception of a RAn.

Kassi

-----Message d'origine-----
De : Greg Daley [mailto:[email-masked]]
Envoye : mardi 18 mars 2003 03:20
A : KASSI-LAHLOU Mohammed FTRD/DMI/CAE
Cc : Erik Nordmark; Ed Remmell; JinHyeock Choi; Jari Arkko; Samita
Chakrabarti; [email-masked]
Objet : Re: Movement Detection (was Re: [mobile-ip] Connectathon 2003
issues for MIPv6 draft-20)

Hi Kassi,

KASSI-LAHLOU Mohammed FTRD/DMI/CAE wrote:
> Hi,
> 
> Moreover to avoid the "ping-pong" problem, the mobile node must be
sure
> that it has lost the contact with the current router, therefore the
> mobile node should not change each time it receives a new RA.
> 

I'm not sure that the big issue is ping-pong.
There are already methods to handle that
(HMIPv6/FMIPv6 HTT).  The big issue is to ensure
that the RA received actually indicates L3 movement.

If the movement is real, we may have to configure
addresses and perform mobility signalling, even
if this means ping-ponging between networks.

I think people are coming to the conclusion
that reception of an unsolicited RA is insufficient
to confirm movement, though.

Greg.